<template>
  <div style="padding: 0 15px" class="flex align-center" @click="toggleClick">
    <el-icon size="20px" v-if="isActive" color="var(--van-white)"><Fold /></el-icon>
    <el-icon size="20px" v-else color="var(--van-white)"><Expand /></el-icon>
  </div>
</template>

<script setup>
defineProps({
  isActive: {
    type: Boolean,
    default: false,
  },
});

const emit = defineEmits();
const toggleClick = () => {
  emit("toggleClick");
};
</script>

